Skip to content
New: Star-import, signal unraveling, Python 3.12 support, and more

# selection module

Utilities for selecting.

## NoResult _NoResult

Return this object to ignore an iteration.

## LabelSel class

    LabelSel(
        value
    )

Class that represents a selection by label.

Method generated by attrs for class LabelSel.

### value class variable

Selection of one or more labels.

## NoResultsException class

    NoResultsException(
        *args,
        **kwargs
    )

Gets raised when there are no results.

Superclasses

- `builtins.BaseException`
- `builtins.Exception`

## PosSel class

    PosSel(
        value
    )

Class that represents a selection by position.

Method generated by attrs for class PosSel.

### value class variable

Selection of one or more positions.

#### Cookie consent

We use cookies to recognize your repeated visits and preferences, as well as to measure the effectiveness of our documentation and whether users find what they're searching for. With your consent, you're helping us to make our documentation better.

- Google Analytics
- GitHub

Manage settings